<!-- vim:set tabstop=4 softtabstop=4 expandtab :-->

<!DOCTYPE html>
<html lang="ja">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="//code.jquery.com/jquery-3.3.1.min.js"></script>
        <script src="//code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
        <script src="/modules/jquery.cookie-1.4.1.min.js"></script>
        <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1/i18n/jquery.ui.datepicker-ja.min.js"></script>
        <link href="//cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous" />
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/themes/base/jquery-ui.min.css" />
        <link href="./style.css?<?= filemtime ('./style.css') ?>" rel="stylesheet" />
        <?php $april_fool = ((int) date ('n') === 4) && ((int) date ('j') === 1) ?>
        <?php if ($april_fool): ?>
            <link rel="icon" href="favicon-goatoh.ico" />
            <title>ゴートうひとり放送局 - ゴートう返答ログ</title>
        <?php else: ?>
            <title>伊地知ニジカ放送局 - ニジカ返答ログ</title>
        <?php endif ?>
        <input type="hidden" id="available" value="<?= $available ? '1' : '0' ?>" />
    </head>

    <body>
        <div class="container my-5">
            <div class="accordion mb-5" id="accordion-filter">
                <div class="accordion-item">
                    <h2 class="accordion-header">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-filter" aria-controls="collapse-filter">
                            絞り込み
                        </button>
                    </h2>

                    <div id="collapse-filter" class="accordion-collapse collapse show" data-bs-parent="#accordion-filter">
                        <div class="accordion-body mx-5">
                            <div>
                                <div class="row d-flex align-items-center my-2">
                                    <div class="col-sm-4 fw-bold">
                                        順序
                                    </div>

                                    <div class="col-sm">
                                        <div class="row align-items-center">
                                            <div class="col form-check">
                                                <input class="form-check-input" type="radio" name="order" id="order-desc"<?= $asc ? '' : ' checked="checked"' ?> />

                                                <label class="form-check-label" for="order-desc">
                                                    新しい順
                                                </label>
                                            </div>

                                            <div class="col form-check">
                                                <input class="form-check-input" type="radio" name="order" id="order-asc"<?= $asc ? ' checked="checked"' : '' ?> />

                                                <label class="form-check-label" for="order-asc">
                                                    古い順
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row d-flex align-items-center my-2">
                                    <div class="col-sm-4 fw-bold">
                                        <?php if ($april_fool): ?>
                                            ゴートう日とり
                                        <?php else: ?>
                                            日時ニジカ
                                        <?php endif ?>
                                    </div>

                                    <div class="col-sm input-group">
                                        <input type="text"
                                               class="form-control"
                                               placeholder="YYYY-MM-DD"
                                               id="filter-date-start"
                                               value="<?= $date_start ?>" />
                                        <span class="input-group-text">〜</span>
                                        <input type="text"
                                               class="form-control"
                                               placeholder="YYYY-MM-DD"
                                               id="filter-date-end"
                                               value="<?= $date_end ?>" />
                                    </div>
                                </div>

                                <div class="row d-flex align-items-center my-2">
                                    <div class="col-sm-4 fw-bold">
                                        フリーワード
                                    </div>

                                    <div class="col-sm">
                                        <input type="text"
                                               class="form-control"
                                               placeholder="<?= $april_fool ? 'ﾑﾑﾑﾑ!!  ｸｻﾀﾍﾞﾃﾙ!!!!!' : 'ぬ゛ぅ゛ぅ゛ぅ゛ぅ゛ぅ゛ん゛' ?>"
                                               id="filter-keyword" 
                                               value="<?= $keyword ?>"/>
                                    </div>
                                </div>
                            </div>

                            <div class="mt-3 row">
                                <div class="col-sm gap-2 d-grid my-1">
                                    <button type="button" class="btn btn-secondary" id="btn-reset">元に戻す</button>
                                </div>

                                <div class="col-sm gap-2 d-grid my-1">
                                    <button type="button" class="btn btn-primary" id="btn-filter">絞り込む</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php if (count ($log_data) > 0): ?>
                <div class="mb-4">
                    <?php require 'pagination.cmp.php' ?>
                </div>

                <div>
                    <?php foreach (array_slice ($log_data,
                                                ($page - 1) * $length,
                                                $length,
                                                true)
                                   as $record): ?>
                        <div class="mb-4 message-block">
                            <div>
                                <span class="message-block-dt"><?= $record['date_time'] ?></span>
                            </div>

                            <div>
                                <img src="<?= $record['chat_icon'] ?>" width="64" height="64" />
                                <?= $record['chat_name'] ?>
                            </div>

                            <div style="color: blue">
                                &gt; <span class="message-block-chat" style="font-style: italic"><?= $record['chat_message'] ?></span>
                            </div>

                            <div>
                                <span class="message-block-answer"><?= $record['answer'] ?></span>
                            </div>
                        </div>
                    <?php endforeach ?>
                </div>

                <div class="mt-5">
                    <?php require 'pagination.cmp.php' ?>
                </div>
            <?php else: ?>
                何も見つかりませんでしたぬ゛ぅ゛ぅ゛ぅ゛ぅ゛ん゛
            <?php endif ?>
        </div>

        <script src="//cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
        <script src="./script.js?<?= filemtime ('./script.js') ?>" type="text/javascript"></script>
    </body>
</html>

